<?php
/**
 * @copyright   Copyright (c) 2017 https://www.sapixx.com All rights reserved.
 * @license     Licensed (http://www.apache.org/licenses/LICENSE-2.0).
 * @author      pillar<ltmn@qq.com>
 * 采购基金账单
 */
namespace app\ais\model;
use think\Model;
use util\Util;

class AisFundBill extends Model
{

    public function user(){
        return $this->hasOne('app\common\model\SystemUser','id','uid');
    } 


   /**
     * [log 增加财务日志]
     * @param  [array]  $param
     */
    public static function add(array $param){
        $data['member_miniapp_id'] = intval($param['miniapp_id']);
        $data['store_id']          = intval($param['store_id']);
        $data['types']             = intval($param['types']);
        $data['uid']               = intval($param['uid']);
        $data['order_no']          = $param['order_no'];
        $data['money']             = floatval($param['money']);
        $data['update_time']       = time();
        return self::insert($data);
    }
}